import { File, Statement } from '@babel/types';
import { ParserOptions } from '@babel/parser';
import { DeepArray } from './types';
export default class BabelParserGenerator {
    ast: File;
    options: ParserOptions;
    reservedKeywords: Set<string>;
    constructor(code?: string);
    isReservedKeyword(keyword: string): boolean;
    safeWord(keyword: string): string;
    templateAst(code: string, codePath?: string | DeepArray<string>): Statement | Statement[];
    generate(): string;
    prepend(code: string, injectPath?: string | DeepArray<string>, codePath?: string | DeepArray<string>): number;
    append(code: string, injectPath?: string | DeepArray<string>, codePath?: string | DeepArray<string>): number;
    getAst(injectPath?: string | DeepArray<string>): Statement | Statement[];
    setAst(injectPath: string | DeepArray<string> | undefined, value: Statement | Statement[]): Statement | Statement[];
}
